/*
 * Copyright 2002 Farfpeuf/ AdetSoft. All rights reserved.
 * Use is subject to license terms.
 */
package fb.util;

import java.awt.Color;

/**
 * Fantasy battlfields color constants
 * 
 * @author farfpeuf
 * 
 */
public interface FBColors {

	public static Color toolTipColor = new Color(172, 156, 100);

	public static Color lightIvory = new Color(255, 255, 240);

	public static Color darkIvory = new Color(225, 225, 210);

	public static Color darkYellow = new Color(230, 230, 100);

	public static Color standardText = new Color(239, 211, 148);

	public static Color buttonText = Color.yellow;

	public static Color highlightedText = lightIvory;

	public static Color lightBorder = Color.yellow;

	public static Color darkBorder = Color.blue;

	public static Color[] color2 = new Color[] { new Color(175, 175, 255),
			new Color(0, 200, 255), new Color(0, 255, 150), Color.yellow,
			new Color(150, 0, 200), Color.red };

	public static Color background = Color.black;

	public static Color[] color = new Color[] { Color.RED, Color.GREEN,
			Color.ORANGE, Color.CYAN, Color.MAGENTA, Color.PINK,
			Color.LIGHT_GRAY, Color.YELLOW, toolTipColor };

	public static Color primary = Color.BLUE;

	public static Color secondary = Color.GREEN;

	public static Color warningColor = Color.ORANGE;

	public static Color errorColor = Color.RED;

}
